<?xml version="1.0" encoding="utf-8"?>
<menu xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto">

  <item
    android:id="@+id/filter"
    android:icon="@drawable/ic_filter"
    android:title="@string/menu_filter"
    app:showAsAction="ifRoom|withText">
    <menu>

      <group
        android:id="@+id/filter_group"
        android:checkableBehavior="single" >
        <item
          android:id="@+id/all"
          android:checked="true"
          android:title="@string/menu_filter_all" />
        <item
          android:id="@+id/completed"
          android:title="@string/menu_filter_completed" />
        <item
          android:id="@+id/outstanding"
          android:title="@string/menu_filter_outstanding" />
      </group>
    </menu>
  </item>
  <item
    android:id="@+id/add"
    android:icon="@drawable/ic_add"
    android:title="@string/menu_add"
    app:showAsAction="ifRoom|withText" />
  <item
    android:id="@+id/save"
    android:icon="@drawable/ic_save"
    android:title="@string/menu_save"
    app:showAsAction="ifRoom|withText" />
  <item
    android:id="@+id/share"
    android:icon="@drawable/ic_share"
    android:title="@string/menu_share"
    app:showAsAction="ifRoom|withText" />
</menu>